%define major		11
%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname %{name} -d

Summary:	Real-time Transport Protocol Stack
Name:		ortp
Version:	0.27.0
Release:	%mkrel 2
License:	LGPLv2+
Group:		Networking/Other
URL:		http://linphone.org/ortp/
Source0:	http://download.savannah.gnu.org/releases/linphone/ortp/sources/%{name}-%{version}.tar.gz
Source1:	http://download.savannah.gnu.org/releases/linphone/ortp/sources/%{name}-%{version}.tar.gz.sig
BuildRequires:	pkgconfig(bctoolbox)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	doxygen

%description
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889). It is available for most unix clones (primilarly Linux and
HP-UX), and Microsoft Windows.

%package -n	%{libname}
Summary:        Real-time Transport Protocol Stack
Group:		System/Libraries


%description -n	%{libname}
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889). It is available for most unix clones (primilarly Linux and
HP-UX), and Microsoft Windows.

%package -n	%{libnamedev}
Summary:        Headers, libraries and docs for the oRTP library
Group:          Development/Other
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Requires:       %{libname} = %{version}
Obsoletes:      %{libname}5-devel

%description -n %{libnamedev}
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889). It is available for most unix clones (primilarly Linux and
HP-UX), and Microsoft Windows.

This package contains header files and development libraries needed to
develop programs using the oRTP library.

%prep
%setup -q

%build
%configure2_5x \
    --disable-strict \
    --enable-shared \
    --disable-static \
    --enable-ipv6

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libnamedev}
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}
%{_datadir}/doc/%{name}-%{version}


%changelog
* Fri Dec 02 2016 daviddavid <daviddavid> 0.27.0-2.mga6
+ Revision: 1071681
- use new rpm macros
- switch BRs to pkgconfig()

* Tue Nov 29 2016 zezinho <zezinho> 0.27.0-1.mga6
+ Revision: 1071032
- add BR on bctoolbox
- new major version
- new version

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon Nov 16 2015 oden <oden> 0.25.0-1.mga6
+ Revision: 903565
- soname bump to 10
- 0.25.0

* Sun Aug 02 2015 oden <oden> 0.24.2-1.mga6
+ Revision: 860707
- 0.24.2

* Thu Apr 30 2015 oden <oden> 0.24.1-1.mga6
+ Revision: 820861
- 0.24.1

* Wed Oct 15 2014 umeabot <umeabot> 0.23.0-3.mga5
+ Revision: 746496
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.23.0-2.mga5
+ Revision: 683274
- Mageia 5 Mass Rebuild

* Sat Feb 22 2014 luigiwalser <luigiwalser> 0.23.0-1.mga5
+ Revision: 595664
- 0.23.0

* Sat Oct 19 2013 umeabot <umeabot> 0.22.0-2.mga4
+ Revision: 528856
- Mageia 4 Mass Rebuild

  + fwang <fwang>
    - drop srtp support as ortp requires private branch of srtp
    - build with srtp

* Fri Jun 28 2013 fwang <fwang> 0.22.0-1.mga4
+ Revision: 447688
- update file list
- update libmajor
- update rpm group
- new version 0.22.0

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 05 2012 luigiwalser <luigiwalser> 0.20.0-1.mga3
+ Revision: 278887
- 0.20.0

* Tue Dec 27 2011 fwang <fwang> 0.18.0-1.mga2
+ Revision: 188082
- upload tarbal
- new version 0.18.0

* Mon Dec 26 2011 fwang <fwang> 0.16.5-1.mga2
+ Revision: 187822
- new version 0.16.5

* Thu Jan 20 2011 ahmad <ahmad> 0.16.3-2.mga1
+ Revision: 26402
- drop old/unneeded scriptlets
- imported package ortp


* Fri Aug 06 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.16.3-1mdv2011.0
+ Revision: 566539
- update to 0.16.3
- drop patch0, hasn't been applied for some time (and Fedora already dropped it)
- update source url

* Wed Apr 07 2010 Funda Wang <fwang@mandriva.org> 0.16.1-4mdv2010.1
+ Revision: 532520
- rebuild

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 0.16.1-3mdv2010.1
+ Revision: 511607
- rebuilt against openssl-0.9.8m

* Sun Sep 27 2009 Olivier Blin <oblin@mandriva.com> 0.16.1-2mdv2010.0
+ Revision: 450190
- fix build by adding missing read() check on non-x86, because it
  fallbacks to reading /dev/random to get random data and never checks
  read() return value; as we're building with Werror, it fails to
  build (from Arnaud Patard)

* Sun Sep 20 2009 Funda Wang <fwang@mandriva.org> 0.16.1-1mdv2010.0
+ Revision: 444862
- New version 0.16.1

* Tue May 05 2009 Funda Wang <fwang@mandriva.org> 0.16.0-1mdv2010.0
+ Revision: 372136
- New version 0.16.0

* Wed Feb 18 2009 Emmanuel Andry <eandry@mandriva.org> 0.15.0-1mdv2009.1
+ Revision: 342649
- BR doxygen
- New version 0.15.0
- New major 8
- apply devel library policy
- fix license
- disable P0 (doesn't apply, and can't check if still needed because of ppc arch
- BR openssl-devel
- enable ipv6
- package doc

* Sat Oct 25 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.13.1-1mdv2009.1
+ Revision: 297027
- Fix File list
- Fix File list
- New version (needed by kdenetwork 4.1.71)

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.10.0-5mdv2009.0
+ Revision: 229672
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.10.0-3mdv2008.1
+ Revision: 179114
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Jan 03 2007 Emmanuel Blindauer <blindauer@mandriva.org> 0.10.0-2mdv2007.0
+ Revision: 103558
- fix ppc build (patch 0)
- Import ortp

* Fri Jun 16 2006 Austin Acton <austin@mandriva.org> 0.10.0-2mdv2007.0
- major 5

* Fri Jun 16 2006 Austin Acton <austin@mandriva.org> 0.10.0-1mdv2007.0
- New release 0.10.0

* Thu Mar 09 2006 Austin Acton <austin@mandriva.org> 0.9.0-1mdk
- New release 0.9.0
- major 4
- move docs to devel package
- buildrequires gtk-doc

* Mon Feb 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-1mdk
- 0.8.1

* Tue Dec 20 2005 Lenny Cartier <lenny@mandriva.com> 0.8.0-1mdk
- 0.8.0

* Wed Oct 26 2005 Francois-Xavier Kowalski <fix@hp.com>
- Add to oRTP distribution with "make rpm" target

